# vim: set sw=4 ts=4 et nu:

Name:               mp3wrap
Version:            0.5
Release:            pm152.2.8
Summary:            Wrap MP3 Files into One Single Large Playable MP3
Source:             http://prdownloads.sourceforge.net/mp3wrap/mp3wrap-%{version}-src.tar.gz
Patch1:             mp3wrap-add_missing_includes.patch
URL:                http://mp3wrap.sourceforge.net/
Group:              Productivity/Multimedia/Sound/Editors and Convertors
License: GPL-2.0
BuildRoot:          %{_tmppath}/build-%{name}-%{version}
BuildRequires:      gcc make glibc-devel pkgconfig
BuildRequires:      autoconf automake libtool
BuildRequires:      update-desktop-files

%description
Mp3Wrap is a free independent alternative to AlbumWrap. It's a command-line
utility that wraps quickly two or more mp3 files in one single large playable
mp3, without losing filenames and ID3 informations (and without need of
decoding/encoding). Also with the possibility of including other non mp3 files,
such as PlayLists, info files, cover images, inside the mp3. This means that
you obtain a large mp3 that you can split in any moment just using mp3splt and
in few seconds you have all original files again! It's useful because files
created with Mp3Wrap are easy to download. Infact who downloads has not to know
each single song name and easy to play and even if you don't have mp3splt to
split file, you can listen to it anyway.

%prep
%setup -q
%patch1

%build
%configure
%__make %{?_smp_flags}

%install
%makeinstall

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog README doc/faq.html
%{_bindir}/mp3wrap
%doc %{_mandir}/man1/mp3wrap.1%{ext_man}

%changelog
* Fri Aug 12 2011 pascal.bleser@opensuse.org
- initial version (0.5)
